Bug 813763 - eclipse-jdt: /usr/bin/efj has missing exec permissions
eclipse-jdt: /usr/bin/efj has missing exec permissions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 07:38 EDT by Mikolaj Izdebski
Modified: 2012-04-25 01:04 EDT (History)
7 users (show)

See Also:
Fixed In Version: eclipse-4.2.0-0.17.I201204171000.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-25 01:04:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-04-18 07:38:57 EDT
The /usr/bin/efj script, which is provided by eclipse-jdt, has its permissions set to -rw-r--r-- (exec flags are not set).

This means that efj can't be executed:
$ efj
sh: /usr/bin/efj: Permission denied
Comment 1 Fedora Update System 2012-04-19 10:02:25 EDT
eclipse-4.2.0-0.15.I201204171000.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-4.2.0-0.15.I201204171000.fc17
Comment 2 Fedora Update System 2012-04-19 22:25:14 EDT
Package eclipse-4.2.0-0.15.I201204171000.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-4.2.0-0.15.I201204171000.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6220/eclipse-4.2.0-0.15.I201204171000.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-04-20 06:15:05 EDT
eclipse-4.2.0-0.16.I201204171000.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-4.2.0-0.16.I201204171000.fc17
Comment 4 Fedora Update System 2012-04-23 09:34:25 EDT
eclipse-4.2.0-0.17.I201204171000.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-4.2.0-0.17.I201204171000.fc17
Comment 5 Fedora Update System 2012-04-25 01:04:36 EDT
eclipse-4.2.0-0.17.I201204171000.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.